{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load humanize %}
{% load price_tag %}
{% load check_group %}
{% block title %}Editar documento manual{% endblock %}




{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker3.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item">{%if customer %} <a href="{{ object.customer.get_absolute_url }}billing/">Pagos</a> {%else%} <a href="../../../payments-no-identificados/">Pagos</a> {%endif%}</li>
    <li class="breadcrumb-item active">Editar Pago</li>
  </ol>
  <!-- end breadcrumb -->
  
  
  <!-- begin page-header -->
  <h1 class="page-header">Pago <small>editar</small></h1>
  <!-- end page-header -->
  
  
{%if can_show_detail %}
 <!-- begin row -->
 <div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Editando pago</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">

	<form class="form-horizontal" method="post" enctype="multipart/form-data">
	  {% csrf_token %}
		{% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Coordinador de facturación"  or request.user|has_group:"Operador de finanzas"  %} 
		
		{%if customer %} 
		{% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Coordinador de facturación" %} 
		<div class="form-group row m-b-15" >
			<label class="col-md-3">Si desea cambiar el cliente, puede buscarlo: </label>
			<div class="col-sm-9 ">
			<i id="search-icon" class="fas fa-search"></i>
			<input id="service-input" placeholder="Search" class="col-sm-9" style="padding: 7px .75rem; line-height: 1.5; color: #2d353c; background-color: #fff; background-clip: padding-box; border: 1px solid #d5dbe0;
			border-radius: 4px; transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;">
		</div>
		  </div>
		  <div class="form-group row m-b-15" >
			<label for="{{ form.customer.auto_id }}" class="col-form-label col-md-3">Cliente</label>
			<div class="col-sm-9">
					<select name="customer" class="form-control m-b-5" id="id_customer">
							{%if customer %}
							<option value="{{customer.id}}" selected>{{customer}}</option>
							{%endif%}
							<option value="">---------</option>
							{%for i in customers %}
							<option value="{{i.id}}">{{i.id}}</option>
							{%endfor%}
							</select>

				{% for error in form.customer.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
			</div>
		</div>
		{%else%}
		<div class="form-group row m-b-15" hidden >
			<label for="{{ form.customer.auto_id }}" class="col-form-label col-md-3">Cliente</label>
			<div class="col-sm-9">
					<select name="customer" class="form-control m-b-5" id="id_customer">
							{%if customer %}
							<option value="{{customer.id}}" selected>{{customer}}</option>
							{%endif%}
							<option value="">---------</option>
							{%for i in customers %}
							<option value="{{i.id}}">{{i}}</option>
							{%endfor%}
							</select>

				{% for error in form.customer.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
			</div>
		</div>
		{%endif%}

		  {%else%}
		  <div class="form-group row m-b-15" {%ifequal object.kind_load 3%} hidden {%endifequal%} >
			<label class="col-md-3">Buscar cliente: </label>
			<div class="col-sm-9 ">
			<i id="search-icon" class="fas fa-search"></i>
			<input id="user-input" placeholder="Search" class="col-sm-9" style="padding: 7px .75rem; line-height: 1.5; color: #2d353c; background-color: #fff; background-clip: padding-box; border: 1px solid #d5dbe0;
			border-radius: 4px; transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;">
		</div>
		  </div>

		<div class="form-group row m-b-15" >
			<label for="{{ form.customer.auto_id }}" class="col-form-label col-md-3">Cliente</label>
			<div class="col-sm-9">
					<select name="customer" class="form-control m-b-5" id="id_customer">
							{%if customer %}
							<option value="{{customer.id}}" selected>{{customer}}</option>
							{%endif%}
							<option value="">---------</option>
							{%for i in customers %}
							<option value="{{i.id}}">{{i}}</option>
							{%endfor%}
							</select>

				{% for error in form.customer.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
			</div>
		</div>
		<div class="form-group row m-b-15"  {%if customer %} hidden {%endif%}>
				<label for="{{ form.service.auto_id }}" class="col-form-label col-md-3">Sevicio</label>
				<div class="col-sm-9">
							<select name="service" class="form-control m-b-5" id="id_service"  multiple="multiple" required>
									
									</select>
									
				  {% for error in form.service.errors %}
				  <small class="f-s-12 text-danger">{{ error }}</small>
				  {% endfor %}
				</div>
				</div>

				<div class="form-group row m-b-15">
						<label for="{{ form.invoice.auto_id }}" class="col-form-label col-md-3">Boletas</label>
						<div class="col-sm-9">
									<select name="invoice" class="form-control m-b-5" id="id_invoice"  multiple="multiple">
											{%for j in boletas_act %}
											<option value="{{j.id}}" selected>{{j.comment}}</option>
											{%endfor%}
											{%for i in boletas %}
											<option value="{{i.id}}">{{i.comment}}</option>
											{%endfor%}
											</select>
											
						  {% for error in form.invoice.errors %}
						  <small class="f-s-12 text-danger">{{ error }}</small>
						  {% endfor %}
				</div>
			</div>
		{%endif%}
		<div class="form-group row m-b-15">
		    <label for="{{ form.paid_on.auto_id }}" class="col-form-label col-md-3">Fecha del Pago</label>
		    <div class="col-sm-9">
		      {% render_field form.paid_on class="form-control m-b-5 datepicker" %}

				{% for error in form.paid_on.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
			</div>
		</div>
	<div class="form-group row m-b-15">
		<label for="{{ form.deposited_on.auto_id }}" class="col-form-label col-md-3">Fecha del depósito</label>
		<div class="col-sm-9">
		  {% render_field form.deposited_on class="form-control m-b-5 datepicker" %}

			{% for error in form.deposited_on.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
	<div class="form-group row m-b-15">
		<label for="{{ form.amount.auto_id }}" class="col-form-label col-md-3">Monto</label>
		<div class="col-sm-9">
			{% render_field form.amount class="form-control m-b-5" %}

			{% for error in form.amount.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
	
	<div class="form-group row m-b-15">
		<label for="{{ form.kind.auto_id }}" class="col-form-label col-md-3">Tipo</label>
		<div class="col-sm-9">
			{%ifequal object.kind 4 %}
			<select name="kind" class="form-control m-b-5" id="id_kind">
				<option value="{{object.kind}}" selected>{{object.get_kind_display}} </option>
				</select>
			
			{%else%}
			<select name="kind" class="form-control m-b-5" id="id_kind">
				<option value="{{object.kind}}" selected>{{object.get_kind_display}} </option>
				{%for i in kind%}
				<option value="{{i.0}}"> {{i.1}} </option>
				{%endfor%}
				</select>
			{%endifequal%}

			{% for error in form.kind.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>

	<div class="form-group row m-b-15">
		<label for="{{ form.kind.auto_id }}" class="col-form-label col-md-3">Número de operación</label>
		<div class="col-sm-9">
			{% render_field form.operation_number class="form-control m-b-5" %}

			{% for error in form.operation_number.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
	<div class="form-group row m-b-15">
		<label for="{{ form.tasa.auto_id }}" class="col-form-label col-md-3">Tasa conversión </label>
		<div class="col-sm-9">
			{% render_field form.tasa class="form-control m-b-5" %}

			{% for error in form.tasa.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
{% endif %}
	
	<div class="form-group row m-b-15">
		<label for="{{ form.proof.auto_id }}" class="col-form-label col-md-3">Comprobante de pago</label>
		<div class="col-sm-9">
			{% render_field form.proof class="form-control m-b-5" %}

			{% for error in form.proof.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
	
	<div class="form-group row m-b-15">
		<label for="{{ form.proof2.auto_id }}" class="col-form-label col-md-3">Comprobante de pago 2</label>
		<div class="col-sm-9">
			{% render_field form.proof2 class="form-control m-b-5" %}

			{% for error in form.proof2.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
	
	<div class="form-group row m-b-15">
		<label for="{{ form.proof3.auto_id }}" class="col-form-label col-md-3">Comprobante de pago 3</label>
		<div class="col-sm-9">
			{% render_field form.proof3 class="form-control m-b-5" %}

			{% for error in form.proof3.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>

	<div class="form-group row m-b-15">
		<label for="{{ form.proof4.auto_id }}" class="col-form-label col-md-3">Comprobante de pago 4</label>
		<div class="col-sm-9">
			{% render_field form.proof4 class="form-control m-b-5" %}

			{% for error in form.proof4.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
	
	<div class="form-group row m-b-15">
		<label for="{{ form.comment.auto_id }}" class="col-form-label col-md-3">Comentario</label>
		<div class="col-sm-9">
			{% render_field form.comment class="form-control m-b-5" %}

			{% for error in form.comment.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
	
	<div class="form-group row m-b-15">
		<label for="{{ form.operator.auto_id }}" class="col-form-label col-md-3">Operador del pago</label>
		<div class="col-sm-9">
			<select name="operator" class="form-control"  required id="id_operator">
				{%if if_todos %}
				{% if object %} <option value="{{ object.operator.id}}" selected>{{ object.operator.name}}</option>{% endif %}
				{%for b in operadores %}
				<option value="{{b.id}}">{{b.name}}</option>
				{%endfor%}
				{% else%}
				{%for b in operadores %}
				<option value="{{current_operator}}">{{current_operator_name}}</option>
				{%endfor%}
				{%endif%}
				</select>
		</div>
	</div>
	
	<div class="form-group row m-b-15">
		<label for="{{ form.bank_account.auto_id }}" class="col-form-label col-md-3">Cuenta</label>
		<div class="col-sm-9">
			{% render_field form.bank_account class="form-control m-b-5" %}

			{% for error in form.bank_account.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
	<div class="form-group row m-b-15">
		<label for="{{ form.number_document.auto_id }}" class="col-form-label col-md-3">Número de Documento (Cartola)</label>
		<div class="col-sm-9">
			{% render_field form.number_document class="form-control m-b-5" %}

			{% for error in form.number_document.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
		</div>
	</div>
	
	{% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Coordinador de facturación"  or request.user|has_group:"Operador de finanzas"  %} 
	{%if customer %}	
	<div class="form-group row m-b-15">
	    <label for="{{ form.service.auto_id }}" class="col-form-label col-md-3">Sevicio</label>
	    <div class="col-sm-9">
					<select name="service" class="form-control m-b-5" id="id_service"  multiple="multiple" required>
							{%for j in service_act %}
							<option value="{{j.id}}" selected>{{j}}</option>
							{%endfor%}
							{%for i in service %}
							<option value="{{i.id}}">{{i}}</option>
							{%endfor%}
							</select>
							
	      {% for error in form.service.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
	
		<div class="form-group row m-b-15">
				<label for="{{ form.invoice.auto_id }}" class="col-form-label col-md-3">Boletas</label>
				<div class="col-sm-9">
							<select name="invoice" class="form-control m-b-5" id="id_invoice"  multiple="multiple">
									{%for j in boletas_act %}
									<option value="{{j.id}}" selected>{{j.comment}} {{j.due_date}} ${{j.total | price_tag }}</option>
									{%endfor%}
									{%for i in boletas %}
									<option value="{{i.id}}">{{i.comment}} {{i.due_date}} ${{i.total | price_tag }}</option>
									{%endfor%}
									</select>
									
				  {% for error in form.invoice.errors %}
				  <small class="f-s-12 text-danger">{{ error }}</small>
				  {% endfor %}
		</div>
	</div>
	{%endif%}
		{%endif%}


	  <input type="submit" value="Actualizar" class="btn btn-primary">
	  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
	</form>
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-12 -->
</div>
<!-- end row -->
{%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
  <h4 class="alert-heading">No encontrado</h4>
  <hr>
  <h5 class="mb-0">Cambie de operador o vuelva al listado de pagos.</h5>
</div>
{% endif %}
<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}



{% block pageleveljs %}
<script src="{% static 'assets/plugins/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js' %}"></script>
<script>

$(document).ready(function(){
	$(".datepicker").datepicker({format: 'dd/mm/yyyy'});
	$("#id_paid_on").val($("#id_paid_on").val().replace(' 00:00:00',''));
	$("#id_deposited_on").val($("#id_deposited_on").val().replace(' 00:00:00',''));
	$("#id_paid_on").val($("#id_paid_on").val().replace(' 21:00:00',''));
	$("#id_deposited_on").val($("#id_deposited_on").val().replace(' 21:00:00',''));
	
	function change_service(){
		customer_id = document.getElementById("id_customer").value;
		{% if form.service.value %}
			var service = {{form.service.value}};
		{% else %}
			var service = null
		{% endif %}
		$.get("{% url 'manual_new_ajax_client' %}", {customer: customer_id}, function(json_response) {
			var service = json_response.data['service']
			$("#id_service").empty()
    $("#id_service").append(option);
			for (var i = 0; i < service.length; i++){

					if (service && service[i].id == service){
        var option = $('<option></option>').attr("value", service[i].id).text(service[i].number + " - " +service[i].plan_name + " - " +service[i].plan_price).attr('selected', 'selected');
					}
					else{
        	var option = $('<option></option>').attr("value", service[i].id).text(service[i].number + " - " +service[i].plan_name + " - " +service[i].plan_price);
      	}
				$("#id_service").append(option);
			}

		});
	}

	function change_invoice(){
		
		service_id = $("#id_service").val();
		{% if form.service.value %}
			var invoice = {{form.invoice.value}};
		{% else %}
			var invoice = null
		{% endif %}

		$.get("{% url 'manual_new_ajax_service' %}", {service: service_id}, function(json_response) {
			var invoice = json_response.data['invoice']
			$("#id_invoice").empty()
    $("#id_invoice").append(option);
			for (var i = 0; i < invoice.length; i++){

					if (invoice && invoice[i].id == invoice){
						var option = $('<option></option>').attr("value", invoice[i].id).text(invoice[i].comment+ " " +invoice[i].due_date+ " $" +invoice[i].total).attr('selected', 'selected');
					}
					else{
        	var option = $('<option></option>').attr("value", invoice[i].id).text(invoice[i].comment+ " " +invoice[i].due_date+ " $" +invoice[i].total);
      		}
				$("#id_invoice").append(option);
			}

		});
	}

	function change_user(){
			search = document.getElementById("user-input").value;
			{% if form.customer.value %}
				var customer = {{form.customer.value}};
			{% else %}
				var customer = null
			{% endif %}
			$.get("{% url 'ajax_user' %}", {search: search}, function(json_response) {
				console.log(json_response);
				var customer = json_response
				$("#id_customer").empty()
				var option = $('<option></option>').attr("value", "").text(customer.length + " registros encontrados").attr('selected', 'selected');
			$("#id_customer").append(option);
				for (var i = 0; i < customer.length; i++){

						if (customer && customer[i].id == customer){
			var option = $('<option></option>').attr("value", customer[i].id).text(customer[i].first_name + ' ' + customer[i].last_name).attr('selected', 'selected');
						}
						else{
				var option = $('<option></option>').attr("value", customer[i].id).text(customer[i].first_name + ' ' + customer[i].last_name);
			}
					$("#id_customer").append(option);
				}

			});
		}

		function change_service_customer(){
			
			search = document.getElementById("service-input").value;
			{% if form.customer.value %}
				var customer = {{form.customer.value}};
			{% else %}
				var customer = null
			{% endif %}
			$.get("{% url 'ajax_user' %}", {search: search}, function(json_response) {
				var customer = json_response
				$("#id_customer").empty()
				var option = $('<option></option>').attr("value", "").text(customer.length + " registros encontrados").attr('selected', 'selected');
			$("#id_customer").append(option);
				for (var i = 0; i < customer.length; i++){
						if (customer && customer[i].id == customer){
			var option = $('<option></option>').attr("value", customer[i].id).text(customer[i].first_name + ' ' + customer[i].last_name).attr('selected', 'selected');
						}
						else{
				var option = $('<option></option>').attr("value", customer[i].id).text(customer[i].first_name + ' ' + customer[i].last_name);
			}
					$("#id_customer").append(option);
				}

			});
		}

	function change_account(){
		operator_id = document.getElementById("id_operator").value;
		{% if form.bank_account.value %}
			var bank_account = {{form.bank_account.value}};
		{% else %}
			var bank_account = null
		{% endif %}
		$.get("{% url 'manual_payment_new_ajax' %}", {operator: operator_id}, function(json_response) {
			var bank_accounts = json_response.data['bank_accounts']
			$("#id_bank_account").empty()
    var option = $('<option></option>').attr("value", '').text('----------');
    $("#id_bank_account").append(option);
			for (var i = 0; i < bank_accounts.length; i++){

					if (bank_account && bank_accounts[i].id == bank_account){
        var option = $('<option></option>').attr("value", bank_accounts[i].id).text(bank_accounts[i].tag + " - " + bank_accounts[i].account_number).attr('selected', 'selected');
					}
					else{
        	var option = $('<option></option>').attr("value", bank_accounts[i].id).text(bank_accounts[i].tag + " - " + bank_accounts[i].account_number);
      	}
				$("#id_bank_account").append(option);
			}

		});
	}

	change_account();

	$('#id_operator').on('change',function(){
		change_account();
	});

	$('#id_customer').on('change',function(){
		change_service();
	});

	$('#id_service').on('click',function(){
		change_invoice();
	});

	$('#user-input').on('change',function(){
			change_user();
			change_service();
	})

	$('#service-input').on('change',function(){
			change_service_customer();
			change_service();
	})

	$(".form-horizontal").on("submit", function(){
		var nf = $("#id_paid_on").val()
		nf = nf.replace(' 00:00:00','')
		nf = nf.split('/')
		if (nf.length==3){
            var nfvalue = nf[2] + "-" + nf[1] + "-" + nf[0];
            $("#id_paid_on").val(nfvalue);
        }else{
            $("#id_paid_on").val(nf);
        }
		var nf = $("#id_deposited_on").val()
		nf = nf.replace(' 00:00:00','')
		nf = nf.split('/')
		if (nf.length==3){
            var nfvalue = nf[2] + "-" + nf[1] + "-" + nf[0];
            $("#id_deposited_on").val(nfvalue);
        }else{
            $("#id_deposited_on").val(nf);
        }
		return true;
	});

});

</script>
{% endblock %}

